Index: ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/postinst
===================================================================
--- ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/postinst	(revision 11943)
+++ ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/postinst	(revision 12781)
@@ -2,11 +2,12 @@
 TMP=/tmp/.titanskin
 echo "successfully installed"
-echo "syncing disk"
-sync
-
-if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
-	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
 	FREE=`expr $SPACE - 100`
 	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
 fi
 
Index: ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/postrm
===================================================================
--- ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/postrm	(revision 11943)
+++ ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/postrm	(revision 12781)
@@ -6,10 +6,12 @@
 
 echo "successfully removed"
-echo "syncing disk"
-sync
-if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
-	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
 	FREE=`expr $SPACE - 100`
 	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
 fi
 exit 0
Index: ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/preinst
===================================================================
--- ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/preinst	(revision 11943)
+++ ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/preinst	(revision 12781)
@@ -2,6 +2,4 @@
 #
 TMP=/tmp/.titanskin
-echo "syncing disk"
-sync
 
 model=`cat /etc/model`
@@ -26,5 +24,22 @@
 fi
 echo "swapstick found...."
-
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=751
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
 buildgroup=`cat /etc/.buildgroup`
 echo "checking OS"	 
Index: ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/prerm
===================================================================
--- ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/prerm	(revision 11943)
+++ ipk/source.sh4/titanswapskins_0Acht5Zehn/CONTROL/prerm	(revision 12781)
@@ -1,10 +1,12 @@
 #!/bin/sh
 TMP=/tmp/.titanskin
-echo "syncing disk"
-sync
-if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
-	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
 	FREE=`expr $SPACE - 100`
-	echo freespace size $FREE kb
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
 fi
 echo "removing Swap 0Acht5Zehn grey Skin"
